
Redmine - Defect #3479

SEGFAULT in Mysql

2009-06-11 07:15 - Dmitry Trukhanov

Status: Closed Start date: 2009-06-11

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.4

Description

We're using standalone redmine server on windows server platform and once per day get Mysql segmentation fault error. It is always

appears when browsing list of the issues.

Text of the error:

192.168.16.11 - - [10/Jun/2009:18:50:37 Russian Daylight Time] "GET /projects/trains/issues HTTP/1.1" 304 0

http://192.168.26.59:3000/issues/show/63 -> /projects/trains/issues

C:/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:527: [BUG] Segmentation faul

t

ruby 1.8.6 (2008-08-11) [i386-mswin32]

This application has requested the Runtime to terminate it in an unusual way.

Please contact the application's support team for more information.

History

#1 - 2009-06-11 15:30 - Thomas Pihl

- Status changed from New to Resolved

I am fairly sure that you will have better luck reporting this to a forum working with rails or the mysql gem. Segfaults are alot closer to the operating

system than we are here.

The link you sent is actually a view issue call, showing issue no 63. If you can show that issue most of the times but die once a day i would look into

some memory leak in the stack or the compile of the gem. Try and install some older version of mysql gem perhaps. Reinstall, perhaps using some

other rails. I would recommend Ruby Enterprise, but that one is only for linux operating systems. It is very stable under debian lenny with passenger

though.

I am closing this defect here.

#2 - 2009-06-13 11:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Wont fix

#3 - 2009-06-25 07:43 - Dmitry Trukhanov

May be it is possible be resolved if you'll update active record used in redmine?
